%define upstream_name    Test-YAML-Meta
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Validation of the META.yml file in a distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::CPAN::Meta::YAML) >= 0.170.0
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(Test::YAML::Valid) >= 0.30.0
BuildArch:  noarch

%description
This module was written to ensure that a META.yml file, provided with a
standard distribution uploaded to CPAN, meets the specifications that slowly
being introduced to module uploads, via the use of ExtUtils::MakeMaker,
Module::Build and Module::Install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.220.0-5.mga8
+ Revision: 1497597
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.220.0-4.mga7
+ Revision: 1272022
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.220.0-3.mga6
+ Revision: 1034891
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.220.0-2.mga6
+ Revision: 967087
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.220.0-1.mga6
+ Revision: 848109
- update to 0.22

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 742169
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-3.mga5
+ Revision: 686586
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 527369
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.200.0-1.mga4
+ Revision: 439984
- update to 0.20

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-3.mga3
+ Revision: 373934
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 28 2011 jquelin <jquelin> 0.190.0-2.mga1
+ Revision: 61633
- rebuild

* Sat Feb 26 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 60723
- update to 0.19

* Sun Jan 23 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 34335
- mageia rebuild
- imported package perl-Test-YAML-Meta


* Wed Apr 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.160.0-1mdv2010.1
+ Revision: 534936
- new version

* Mon Dec 21 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-1mdv2010.1
+ Revision: 480738
- update to 0.15

* Sun Dec 13 2009 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2010.1
+ Revision: 478060
- update to 0.14

* Tue Dec 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.1
+ Revision: 474755
- update to 0.13

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.0
+ Revision: 405603
- rebuild using %%perl_convert_version

* Mon May 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2010.0
+ Revision: 379578
- update to new version 0.12

* Mon Jun 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.0
+ Revision: 230282
- update to new version 0.11

* Tue Jun 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2009.0
+ Revision: 214529
- update to new version 0.10

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2009.0
+ Revision: 194862
- update to new version 0.09
- update to new version 0.09

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 0.06-2mdv2008.1
+ Revision: 109350
- rebuild

* Tue Nov 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2008.1
+ Revision: 106560
- update to new version 0.06
- update to new version 0.06

* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdv2008.1
+ Revision: 105898
- update to new version 0.05

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.0
+ Revision: 65286
- import perl-Test-YAML-Meta


* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.0
- first mdv release
